Unverified Commit 2ee35a34 authored by Yorick Peterse's avatar Yorick Peterse
Browse files

Update DB requirements in the documentation

This makes it more obvious that we greatly prefer PostgreSQL over
MySQL/MariaDB and that all users are recommended to use PostgreSQL
instead. This also removes the paragraph mentioning the size per user
row, as this is completely inaccurate and doesn't really help users with
anticipating the database size. Instead we now simply recommend users to
have at least 5-10 GB of storage at minimum.

[ci skip]
parent 2e92c5c4
......@@ -122,15 +122,22 @@ To change the Unicorn workers when you have the Omnibus package please see [the
We currently support the following databases:
- PostgreSQL (recommended)
- PostgreSQL
- MySQL/MariaDB
If you want to run the database separately, expect a size of about 1 MB per user.
We _highly_ recommend the use of PostgreSQL instead of MySQL/MariaDB as not all
features of GitLab may work with MySQL/MariaDB. Existing users using GitLab with
MySQL/MariaDB are advised to migrate to PostgreSQL instead.
The server running the database should have _at least_ 5-10 GB of storage
available, though the exact requirements depend on the size of the GitLab
installation (e.g. the number of users, projects, etc).
### PostgreSQL Requirements
As of GitLab 9.0, PostgreSQL 9.6 is recommended. Lower versions of PostgreSQL
may work but primary testing and developement takes place using PostgreSQL 9.6.
As of GitLab 9.0, PostgreSQL 9.2 or newer is required, and earlier versions are
not supported. We highly recommend users to use at least PostgreSQL 9.6 as this
is the PostgreSQL version used for development and testing.
Users using PostgreSQL must ensure the `pg_trgm` extension is loaded into every
GitLab database. This extension can be enabled (using a PostgreSQL super user)
......@@ -165,4 +172,4 @@ about it, check the [Prometheus documentation](../administration/monitoring/prom
We support the current and the previous major release of Firefox, Chrome/Chromium, Safari and Microsoft browsers (Microsoft Edge and Internet Explorer 11).
Each time a new browser version is released, we begin supporting that version and stop supporting the third most recent version.
\ No newline at end of file
Each time a new browser version is released, we begin supporting that version and stop supporting the third most recent version.
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment